I am a postdoc in the [Programming Principles, Logic, and Verification
Group](http://pplv.cs.ucl.ac.uk/welcome/) at the [University College
London](https://www.ucl.ac.uk/), hosted by [Alexandra
Silva](http://www.alexandrasilva.org/).

Previously, I was a graduate student in the [Department of Computer
Science](http://cis.upenn.edu) at the [University of
Pennsylvania](http://www.upenn.edu), associated with the [Theory
Group](http://theory.cis.upenn.edu), the [PL
Club](http://www.cis.upenn.edu/~plclub/), and the [Privacy
Group](http://privacy.cis.upenn.edu). I was very fortunate to be co-advised by
[Benjamin Pierce](http://cis.upenn.edu/~bcpierce) and [Aaron
Roth](http://cis.upenn.edu/~aaroth).

## Research Interests ##
My research spans two classical areas of computer science: **algorithms** from
theoretical computer science (commonly known as **TCS**) and **formal
verification**. My work has mostly centered on [**differential
privacy**](http://en.wikipedia.org/wiki/Differential_privacy), a rigorous
definition of privacy that is currently under extensive study.

From the verification side, I investigate formal methods---such as [**type
systems**](http://en.wikipedia.org/wiki/Type_system) and [**program
logics**](http://en.wikipedia.org/wiki/Hoare_logic)---to verify that programs
are differentially private. More generally, I consider formal verification for
properties of randomized algorithms, including **incentive compatibility**,
Markov chain **mixing**, and various notions of **algorithmic stability**.  From
the algorithms side, I apply differential privacy to optimization, machine
learning, and mechanism design.

## Service ##
- **FCS 2017** PC
- **TPDP 2017** PC
- **MFPS 2017** PC
- **PLDI 2016** ERC
